istream File Reference

Go to the source code of this file.

## Classes

class | std::basic_iostream< _CharT, _Traits >
class | std::basic_istream< _CharT, _Traits >
class | std::basic_istream< _CharT, _Traits >::sentry

## Namespaces

| std

## Macros

#define | _GLIBCXX_ISTREAM

## Typedefs

template<typename _Tp >
using | std::__do_is_convertible_to_basic_istream_impl = decltype(__is_convertible_to_basic_istream_test(declval< typename remove_reference< _Tp >::type * >()))
template<typename _Istream >
using | std::__rvalue_istream_type = typename __is_convertible_to_basic_istream< _Istream >::__istream_type

## Functions

template<typename _Ch , typename _Up >
basic_istream< _Ch, _Up > & | std::__is_convertible_to_basic_istream_test (basic_istream< _Ch, _Up > *)
template<typename _Istream , typename _Tp >
enable_if< __and_< __not_< is_lvalue_reference< _Istream > >, __is_convertible_to_basic_istream< _Istream >, __is_extractable< __rvalue_istream_type< _Istream >, _Tp && > >::value, __rvalue_istream_type< _Istream > >::type | std::operator>> (_Istream &&__is, _Tp &&__x)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &__in, _CharT &__c)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &__in, _CharT *__s)
template<>
basic_istream< char > & | std::operator>> (basic_istream< char > &__in, char *__s)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, signed char &__c)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, signed char *__s)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, unsigned char &__c)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, unsigned char *__s)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::ws (basic_istream< _CharT, _Traits > &__is)

## Detailed Description

This is a Standard C++ Library header.

Definition in file istream.